Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class Find

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.Process
              org.basex.core.proc.Find

    public final class Find

extends Process

Evaluates the 'find' command and processes a simplified request as XQuery.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.Process
`args`

Constructor Summary
`Find(java.lang.String query)` Default constructor.

Method Summary
`static java.lang.String` | `find(java.lang.String query, Context ctx, boolean root)` Creates an XQuery representation for the specified query.
`static java.lang.String` | `findTable(StringList filter, TokenList cols, BoolList elem, byte[] tag, boolean root)` Creates an XQuery representation for the specified table query.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class org.basex.core.Process
`args, data, error, execute, execute, info, info, info, output, printing, result, updating`

Methods inherited from class org.basex.core.Progress
`checkStop, det, detail, prog, progress, progress, stop, tit, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Find

    public Find(java.lang.String query)

  Default constructor.

  Parameters:
    `query` - simplified query

Method Detail

### find

    public static java.lang.String find(java.lang.String query,
                                        Context ctx,
                                        boolean root)

  Creates an XQuery representation for the specified query.

  Parameters:
    `query` - query
    `ctx` - context reference
    `root` - root flag
  Returns:
    query

### findTable

    public static java.lang.String findTable(StringList filter,
                                             TokenList cols,
                                             BoolList elem,
                                             byte[] tag,
                                             boolean root)

  Creates an XQuery representation for the specified table query.

  Parameters:
    `filter` - filter terms
    `cols` - filter columns
    `elem` - element flag
    `tag` - root tag
    `root` - root flag
  Returns:
    query

### toString

    public java.lang.String toString()

  Description copied from class: `Process`
  Returns a string representation of the object. In the client/server architecture, the command string is sent to and reparsed by the server.

  Overrides:
    `toString` in class `Process`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD